-- German translation provided by Amethadan

local TranslationTable = {
--	["StatCalc"] = { de = "Werterechner" },
	["Warning: StatCalc is broken for Monster Play classes."] = { de = "Warnung: Werterechner funktioniert nicht für Monsterspiel Klassen." },
	["Warning: StatCalc needs improvement for Session Play classes."] = { de = "Warnung: Werterechner muss für normale Klassen noch überprüft werden." },

	["Maximum Morale"] = { de = "Maximale Moral" },
	["in-Combat Morale Regen"] = { de = "Moralregen. im Kampf" },
	["non-Combat Morale Regen"] = { de = "Moralregen. Ausser." },
	["Maximum Power"] = { de = "Maximale Kraft" },
	["in-Combat Power Regen"] = { de = "Kraftregen. im Kampf" },
	["non-Combat Power Regen"] = { de = "Kraftregen. Ausser." },
	["Armour"] = { de = "Rüstung" },
	["Might"] = { de = "Macht" },
	["Agility"] = { de = "Beweglichkeit" },
	["Vitality"] = { de = "Vitalität" },
	["Will"] = { de = "Wille" },
	["Fate"] = { de = "Schicksal" },
	["Critical Hit"] = { de = "Kritischer Treffer" },
	["Devastating Hit"] = { de = "Zerstör. Treffer" },
	["Finesse"] = { },
	["Physical Mastery"] = { de = "Physische Beherrsch." },
	["Tactical Mastery"] = { de = "Taktische Beherrsch." },
	["Outgoing Healing"] = { de = "Ausgehende Heilung" },
	["Resistance"] = { de = "Resistenz" },
	["Critical Defence"] = { de = "Kritische Verteid." },
	["Devastate Defence"] = { de = "Zerstör. Verteid." },
	["Incoming Healing"] = { de = "Empfangene Heilung" },
	["Block"] = { de = "Blocken" },
	["Partial Block"] = { de = "Teilerfolg Blocken" },
	["Parry"] = { de = "Parrieren" },
	["Partial Parry"] = { de = "Teilerfolg Parrieren" },
	["Evade"] = { de = "Ausweichen" },
	["Partial Evade"] = { de = "Teilerfolg Ausweichen" },
	["Physical Mitigation"] = { de = "Phys. Schadensred." },
	["Tactical Mitigation"] = { de = "Takt. Schadensred." },
}

function translate(text, language)
	if not TranslationTable[text] then
		return text
	end

	local translation = TranslationTable[text][language]
	if translation then
		return translation
	else
		return text
	end
end
